#include <stdio.h>

/*  programme pour imprimer les tailles des types et le 
    byte-swap                                            */

main(int narg, char* arg)
{
int i,k;
char* pc;

printf(" Sizeof short int = %d \n", (int)(sizeof(short int)));
printf(" Sizeof int = %d \n", (int)(sizeof(int)));
printf(" Sizeof long = %d \n", (int)(sizeof(long)));
printf(" Sizeof long long = %d \n", (int)(sizeof(long long)));
printf(" Sizeof float = %d \n", (int)(sizeof(float)));
printf(" Sizeof double = %d \n", (int)(sizeof(double)));
printf(" Sizeof long double = %d \n", (int)(sizeof(long double)));


i = 65;
pc = (char *)(&i);
for(k=0; k<4; k++)  { printf("I=%d  B%d = %d \n", i, k, (int)(*pc)); pc++; }
i = 65*65536+16;
pc = (char *)(&i);
for(k=0; k<4; k++)  { printf("I=%d  B%d = %d \n", i, k, (int)(*pc)); pc++; }

exit(0);
}
